import React, {PropsWithChildren, useContext} from "react";
import TabContext, {Mode} from '../../tab-context'
import TabsContext from "../../context";

const TabSection = ({children}: PropsWithChildren<any>) => {
    const {tab: activeTab} = useContext(TabsContext)
    const {tab, mode} = useContext(TabContext)

    if (Mode.SECTIONS !== mode) {
        return <></>
    }

    if (activeTab !== tab) {
        return <></>
    }

    return <>{children}</>
}

export default TabSection